summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorBen Kohler <bkohler@gentoo.org>2018-10-03 07:45:33 -0500
committerBen Kohler <bkohler@gentoo.org>2018-10-03 07:47:05 -0500
commita6952a07105b1700add641d0dad369ce34471ff8 (patch)
tree5f703af0bd7484a3e5bc180c4a529f53a52ca79a /dev-util/catalyst
parentsci-libs/linux-gpib: Version bump, work in progress (diff)
downloadgentoo-a6952a07105b1700add641d0dad369ce34471ff8.tar.gz
gentoo-a6952a07105b1700add641d0dad369ce34471ff8.tar.bz2
gentoo-a6952a07105b1700add641d0dad369ce34471ff8.zip
dev-util/catalyst: bump to 3.0.3
Signed-off-by: Ben Kohler <bkohler@gentoo.org> Package-Manager: Portage-2.3.50, Repoman-2.3.11
Diffstat (limited to 'dev-util/catalyst')
-rw-r--r--dev-util/catalyst/Manifest1
-rw-r--r--dev-util/catalyst/catalyst-3.0.3.ebuild71
2 files changed, 72 insertions, 0 deletions
diff --git a/dev-util/catalyst/Manifest b/dev-util/catalyst/Manifest
index 77d918a0caa..0f6d108c4e1 100644
--- a/dev-util/catalyst/Manifest
+++ b/dev-util/catalyst/Manifest
@@ -1,3 +1,4 @@
DIST catalyst-2.0.18.tar.bz2 861398 BLAKE2B 70986d312410fb7abb5c8d7eacefa0f0150a3642e92e4f7b7e9944cf3653e7e2ba987ffb34a614b261a22ce3bb964488181c019f92bbc9c73567f89be04c0989 SHA512 5a1408ffe06ce5c06a6bca8f0e3ecd91c17cdc36e2dfa37881d843432bdfe987fd2cfd988cd5719bdf378c18c2e79ee59e281c3b4dba4ae9edfc2dd654b8ee4a
DIST catalyst-3.0.1.tar.bz2 877731 BLAKE2B 0c0b67b4be26737fa6d81011a8a63cfd7f2f41e49a81ecd45f3c901ef70d04e0a72295b12609df036dd9be09241c33dda8fa7a204ad074683b18685d027efe2a SHA512 be7c4d6fcf1f41087995a1a3621fb0250dce6d0a96101255c70832d5cf727a94e924d86092b33464fc5e284173704d33d5aa0d0d49dfcce7369befa5fc8de4e8
DIST catalyst-3.0.2.tar.bz2 878157 BLAKE2B 3711e89be416cd79e98b25fbc432375257749af96a1de6401749131a40c2f1f70975d0c449e1a116623c1aec4d3302670ac058fffd80c4f546fae0609d0c3b7f SHA512 02092b39c70095ab49db28c3289a5d3eb4f73cb3aeda79b3e707cbe2710761cf0060493da7d8a5098e1453320b65654bbe34dd37d5f07623fa90d52579869070
+DIST catalyst-3.0.3.tar.bz2 878309 BLAKE2B 38cba740718a034c104d272aa24fa6964a8dd7fc77d5ccbb481308bb0a38c01d3f0d64e48c1708cab4a723b5a4e0f23727d1c2a0dd0ae4832810e09f76aa335c SHA512 26024dbea3afbc843563a0bf2cd68cc953818caccdf8a42c45ac1df25bd396064a604787807e2db847b4467e9a19df6b2f746eb178d99cbe79889070a2fc4b8a
diff --git a/dev-util/catalyst/catalyst-3.0.3.ebuild b/dev-util/catalyst/catalyst-3.0.3.ebuild
new file mode 100644
index 00000000000..aa1bef2ffa1
--- /dev/null
+++ b/dev-util/catalyst/catalyst-3.0.3.ebuild
@@ -0,0 +1,71 @@
+# Copyright 1999-2018 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+if [[ ${PV} == *9999* ]]; then
+ SRC_ECLASS="git-r3"
+ EGIT_REPO_URI="https://anongit.gentoo.org/git/proj/catalyst.git"
+ EGIT_BRANCH="master"
+else
+ SRC_URI="mirror://gentoo/${P}.tar.bz2
+ https://dev.gentoo.org/~dolsen/releases/catalyst/${P}.tar.bz2
+ https://dev.gentoo.org/~jmbsvicetto/distfiles/${P}.tar.bz2
+ https://dev.gentoo.org/~zerochaos/distfiles/${P}.tar.bz2"
+ KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~x86-fbsd"
+fi
+
+PYTHON_COMPAT=( python{3_4,3_5,3_6} )
+
+inherit distutils-r1 ${SRC_ECLASS}
+
+DESCRIPTION="Release metatool used for creating releases based on Gentoo Linux"
+HOMEPAGE="https://wiki.gentoo.org/wiki/Catalyst"
+
+LICENSE="GPL-2"
+SLOT="0"
+IUSE="ccache doc kernel_linux system-bootloader"
+
+DEPEND="
+ app-text/asciidoc
+ >=dev-python/snakeoil-0.6.5[${PYTHON_USEDEP}]
+"
+RDEPEND="
+ app-arch/lbzip2
+ app-crypt/shash
+ >=dev-python/pydecomp-0.2[${PYTHON_USEDEP}]
+ >=dev-python/snakeoil-0.6.5[${PYTHON_USEDEP}]
+ sys-fs/dosfstools
+ !kernel_FreeBSD? ( || ( app-arch/tar[xattr] app-arch/libarchive[xattr] ) )
+ kernel_FreeBSD? ( app-arch/libarchive[xattr] )
+ virtual/cdrtools
+ amd64? ( >=sys-boot/syslinux-3.72 )
+ x86? ( >=sys-boot/syslinux-3.72 )
+ ccache? ( dev-util/ccache )
+ kernel_linux? ( app-misc/zisofs-tools >=sys-fs/squashfs-tools-2.1 )
+"
+PDEPEND="system-bootloader? ( >=sys-apps/memtest86+-5.01-r4
+ sys-boot/grub:2
+ amd64? ( sys-boot/grub[grub_platforms_efi-32,grub_platforms_efi-64] )
+ x86? ( sys-boot/grub[grub_platforms_efi-32] )
+ sys-boot/syslinux
+ sys-boot/shim )"
+
+python_prepare_all() {
+ python_setup
+ echo VERSION="${PV}" "${PYTHON}" setup.py set_version
+ VERSION="${PV}" "${PYTHON}" setup.py set_version || die
+ distutils-r1_python_prepare_all
+}
+
+python_compile_all() {
+ # build the man pages and docs
+ emake
+}
+
+python_install_all() {
+ distutils-r1_python_install_all
+ if use doc; then
+ dodoc files/HOWTO.html files/docbook-xsl.css
+ fi
+}